summaryrefslogtreecommitdiff
path: root/dev-R
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-07-31 18:13:07 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-07-31 18:13:07 +0000
commit574e1753f4152794cfa32ae3d6460116abb784ac (patch)
tree564145ed5bfbf22eb38f242db90a95fe7226c917 /dev-R
parentc9e2735206c5331476d5b4dda1debb6458344a02 (diff)
downloadbaldeagleos-repo-574e1753f4152794cfa32ae3d6460116abb784ac.tar.gz
baldeagleos-repo-574e1753f4152794cfa32ae3d6460116abb784ac.tar.xz
baldeagleos-repo-574e1753f4152794cfa32ae3d6460116abb784ac.zip
Adding metadata
Diffstat (limited to 'dev-R')
-rw-r--r--dev-R/RcppArmadillo/Manifest1
-rw-r--r--dev-R/RcppArmadillo/RcppArmadillo-0.12.4.1.0.ebuild57
-rw-r--r--dev-R/RcppArmadillo/metadata.xml31
3 files changed, 89 insertions, 0 deletions
diff --git a/dev-R/RcppArmadillo/Manifest b/dev-R/RcppArmadillo/Manifest
new file mode 100644
index 000000000000..d97a18f25a47
--- /dev/null
+++ b/dev-R/RcppArmadillo/Manifest
@@ -0,0 +1 @@
+DIST RcppArmadillo_0.12.4.1.0.tar.gz 1373512 BLAKE2B 9228e80227c9f78be552c71bebb299a96306b7676b2d6c94657d1622b01f341d5846937451d195a25109232aa675303c29413ea84fb32bd23954c5564a146332 SHA512 33ad6c44606f1d16a67861aafdb0ea5750eb795974bfb0a594408e6ba82eedc3a1f8efd1cb5003cf3a4766cafd6fd6d6a4270d043339de3a56f22de22aa9b15f
diff --git a/dev-R/RcppArmadillo/RcppArmadillo-0.12.4.1.0.ebuild b/dev-R/RcppArmadillo/RcppArmadillo-0.12.4.1.0.ebuild
new file mode 100644
index 000000000000..30280253aad5
--- /dev/null
+++ b/dev-R/RcppArmadillo/RcppArmadillo-0.12.4.1.0.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit R-packages eapi8-dosym
+
+MY_PV="$(ver_cut 2-3 ${PV})"
+
+DESCRIPTION='Rcpp Integration for the Armadillo templated linear algebra library'
+SRC_URI="mirror://cran/src/contrib/${PN}_${PV}.tar.gz"
+
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+LICENSE='GPL-2+'
+
+DEPEND="
+ >=dev-lang/R-3.3.0
+ >=dev-R/Rcpp-0.11.0
+ =sci-libs/armadillo-${MY_PV}*:=[lapack]
+"
+RDEPEND="${DEPEND}"
+
+SUGGESTED_PACKAGES="
+ dev-R/tinytest
+ virtual/Matrix
+ dev-R/pkgKitten
+ dev-R/reticulate
+ dev-R/slam
+"
+
+#TODO: correctly link to lapack
+
+src_prepare() {
+ R-packages_src_prepare
+
+ #remove bundled
+ rm -r inst/include/armadillo_bits || die
+ rm inst/include/armadillo || die
+
+ #link to sci-libs/armadillo
+ ln -s "${ESYSROOT}"/usr/include/armadillo_bits inst/include/armadillo_bits || die
+ ln -s "${ESYSROOT}"/usr/include/armadillo inst/include/armadillo || die
+}
+
+src_install() {
+ R-packages_src_install
+
+ R_includedir="/usr/$(get_libdir)/R/site-library/${PN}/include"
+ dosym8 -r /usr/include/armadillo "${R_includedir}/armadillo"
+
+ dodir /usr/include/armadillo_bits
+ for file in "${ED}/${R_includedir}"/armadillo_bits/*; do
+ filename=$(basename "${file}")
+ dosym8 -r /usr/include/armadillo_bits/${filename} "${R_includedir}/armadillo_bits/${filename}"
+ done
+}
diff --git a/dev-R/RcppArmadillo/metadata.xml b/dev-R/RcppArmadillo/metadata.xml
new file mode 100644
index 000000000000..c314ab2bb6f3
--- /dev/null
+++ b/dev-R/RcppArmadillo/metadata.xml
@@ -0,0 +1,31 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>lssndrbarbieri@gmail.com</email>
+ <name>Alessandro Barbieri</name>
+ <description>co-maintainers welcome</description>
+ </maintainer>
+ <longdescription lang="en">'Armadillo' is a templated C++ linear algebra library (by Conrad
+Sanderson) that aims towards a good balance between speed and ease of
+use. Integer, floating point and complex numbers are supported, as
+well as a subset of trigonometric and statistics functions. Various
+matrix decompositions are provided through optional integration with
+LAPACK and ATLAS libraries. The 'RcppArmadillo' package includes the
+header files from the templated 'Armadillo' library. Thus users do
+not need to install 'Armadillo' itself in order to use
+'RcppArmadillo'. From release 7.800.0 on, 'Armadillo' is licensed
+under Apache License 2; previous releases were under licensed as MPL
+2.0 from version 3.800.0 onwards and LGPL-3 prior to that;
+'RcppArmadillo' (the 'Rcpp' bindings/bridge to Armadillo) is licensed
+under the GNU GPL version 2 or later, as is the rest of 'Rcpp'.
+Armadillo requires a C++11 compiler.</longdescription>
+ <upstream>
+ <maintainer>
+ <email>edd@debian.org</email>
+ <name>Dirk Eddelbuettel</name>
+ </maintainer>
+ <bugs-to>https://github.com/RcppCore/RcppArmadillo/issues</bugs-to>
+ </upstream>
+ <origin>gentoo-guru-overlay</origin>
+</pkgmetadata> \ No newline at end of file